﻿@model Infraestrutura.ViewModels.AnalisarInscriçãoMinecraftViewModel<Infraestrutura.Modelos.CadastroModelo>;

    <div class="container">
        <div class="jumbotron bg-light rounded p-2">
            <div class="row">
                <div class="col-sm-6">
                    <a asp-controller="ArquivosUploads" asp-action="MostrarSelfie" asp-route-id="@Model.CadastroId" target="_blank">
                        <img src="@Url.Action("MostrarFoto", "ArquivosUploads", new { id = Model.CadastroId })" class="img-fluid"/>
                    </a>
                </div>
                <div class="col-sm-6 my-auto">
                    <h2>Dados Pessoais</h2>
                    <div class="row mb-2">
                        <div class="col" 0>
                            <font class="font-weight-bold">Nome: </font>@Model.Nome
                        </div>
                    </div>

                    <div class="row mb-2">
                        <div class="col">
                            <font class="font-weight-bold">CPF: </font>@Model.CPF
                        </div>
                        <div class="col">
                            <font class="font-weight-bold">Telefone: </font>@Model.Telefone
                        </div>
                    </div>

                    <div class="row mb-2">
                        <div class="col">
                            <font class="font-weight-bold">E-mail: </font>@Model.Email
                        </div>
                    </div>

                    <div class="row mb-2">
                        <div class="col">
                            <font class="font-weight-bold">Endereço: </font>@Model.Endereço
                        </div>
                    </div>

                    <div class="row mb-2">
                        <div class="col">
                            <font class="font-weight-bold">Cidade: </font>@Model.Cidade
                        </div>
                        <div class="col">
                            <font class="font-weight-bold">CEP: </font>@Model.CEP
                        </div>
                    </div>

                    <div class="row mb-2">
                        <div class="col">
                            <font class="font-weight-bold">Banco: </font>@Model.Banco
                        </div>
                    </div>
                    <div class="row mb-2">
                        <div class="col">
                            <font class="font-weight-bold">Agência: </font>@Model.Agência
                        </div>
                        <div class="col">
                            <font class="font-weight-bold">Conta: </font>@Model.Conta
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="jumbotron bg-dark text-white rounded p-2">
            <h2>Documentos</h2>

            <div class="row">
                <div class="col">
                    <a class="btn btn-info" asp-controller="ArquivosUploads" asp-action="MostrarRGCPF" asp-route-id="@Model.CadastroId" target="_blank">RG e CPF</a>
                    <a class="btn btn-info" asp-controller="ArquivosUploads" asp-action="MostrarComprovante" asp-route-id="@Model.CadastroId" target="_blank">Comprovante de Residência</a>
                    <a class="btn btn-info" asp-controller="ArquivosUploads" asp-action="MostrarComprovanteBanco" asp-route-id="@Model.CadastroId" target="_blank">Comprovante Bancário</a>

                    @if (Model.TemDeclaração)
                    {
                        <a class="btn btn-info" asp-controller="ArquivosUploads" asp-action="MostrarDeclaraçãoResidência" asp-route-id="@Model.CadastroId" target="_blank">Declaração de Residência</a>
                    }
                </div>
            </div>
        </div>

        @if (Model.TemResponsável)
        {
            <div class="jumbotron bg-light rounded p-2">
                <h2>Dados Do Responsável</h2>

                <div class="row">
                    <div class="col my-auto">
                        <font class="font-weight-bold">Nome: </font>@Model.NomeResponsável
                    </div>
                    <div class="col my-auto">
                        <font class="font-weight-bold">CPF: </font>@Model.CPFResponsável
                    </div>
                    <div class="col">
                        <a class="btn btn-info" asp-controller="ArquivosUploads" asp-action="MostrarRGCPFResponsavel" asp-route-id="@Model.CadastroId" target="_blank">RG e CPF</a>
                        <a class="btn btn-info" asp-controller="ArquivosUploads" asp-action="MostrarSelfieResponsavel" asp-route-id="@Model.CadastroId" target="_blank">Selfie</a>
                    </div>
                </div>
            </div>
        }

        <div class="jumbotron bg-dark text-white rounded p-2">
            <h2>Dados da Inscrição</h2>

            <div class="row">
                <div class="col">
                    <font class="font-weight-bold">Nickname: </font>@Model.Nickname
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col">
                <a class="btn btn-danger"  asp-controller="Deferir" asp-action="IndeferirMinecraft" asp-route-id="@Model.Id">Indeferir</a>
                <a class="btn btn-success" asp-controller="Deferir" asp-action="DeferirMinecraft" asp-route-id="@Model.Id">Deferir</a>
            </div>
        </div>
    </div>